[Overview][Types][Classes][Index] | Reference for unit 'process' (#fcl)

# TProcess.ApplicationName

Name of the application to start

## Declaration

Source position: process.pp line 118

`published property TProcess.ApplicationName: String read FApplicationName write SetApplicationName;`

## Description

ApplicationName is an alias for TProcess.CommandLine. It's mostly foruse in the Windows CreateProcess call. If CommandLine is not set, then ApplicationName will be used instead.

Note that either CommandLine or ApplicationName must be set prior to calling Execute.

## See also

TProcess.CommandLine |  | Command-line to execute

The latest version of this document can be found at lazarus-ccr.sourceforge.net.